[Xfce4-commits] <gigolo:master> Cleanup a bit.
Nick Schermer
noreply at xfce.org
Sat Jul 13 21:42:01 CEST 2013
Updating branch refs/heads/master
to b344b089a1e0a8aea5370df3c6d5bfdbb02caa57 (commit)
from a12eba566ac8ddde84d4311a63d17828000a8134 (commit)
commit b344b089a1e0a8aea5370df3c6d5bfdbb02caa57
Author: Nick Schermer <nick at xfce.org>
Date: Sat Jul 13 21:41:32 2013 +0200
Cleanup a bit.
README.I18N | 33 ------
autogen.sh | 103 ++++++-------------
configure.ac => configure.ac.in | 0
module.xml | 20 ----
po/ChangeLog | 212 ---------------------------------------
5 files changed, 29 insertions(+), 339 deletions(-)
diff --git a/README.I18N b/README.I18N
deleted file mode 100644
index 76f50b5..0000000
--- a/README.I18N
+++ /dev/null
@@ -1,33 +0,0 @@
-Quick guide for new translations
---------------------------------
-
-If you want to translate Gigolo into another language, please check
-whether a translation for your language already exists (check the
-po/ subdirectory.
-Get the GIT version of Gigolo, change to the po directory and
-start the new translation with:
-
-$ msginit -l ll_CC -o ll.po -i gigolo.pot
-
-Fill in ll with the language code and CC with the country code.
-For example, to translate Gigolo into Italian you would type:
-
-$ msginit -l it_IT -o it.po -i gigolo.pot
-
-This will create a file it.po. This file can be opened with a
-text editor or you can also use a graphical interface.
-I can suggest PoEdit (http://www.poedit.net/), but there are
-several other GUIs.
-
-Make sure you add your language to the file po/LINGUAS.
-Just open the file with a text editor and add your code.
-
-When you have finished editing the file, check the file with:
-
-$ msgfmt -c --check-accelerators=_ it.po
-
-Please take care of menu accelerators(strings containing a "_").
-The "_" character should also be in your translation. Additionally,
-it would be nice if these accelerators are not twice for two strings
-inside a dialog or sub menu.
-
diff --git a/autogen.sh b/autogen.sh
index ac67005..b5875b6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,77 +1,32 @@
#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-DIE=0
-
-(test -f $srcdir/configure.ac) || {
- echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level package directory"
- exit 1
-}
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`autoconf' installed."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
+#
+# vi:set et ai sw=2 sts=2 ts=2: */
+#-
+# Copyright (c) Xfce Development Team
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+(type xdt-autogen) >/dev/null 2>&1 || {
+ cat >&2 <<EOF
+autogen.sh: You don't seem to have the Xfce development tools installed on
+ your system, which are required to build this software.
+ Please install the xfce4-dev-tools package first, it is available
+ from http://www.xfce.org/.
+EOF
+ exit 1
}
-(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`intltool' installed."
- echo "You can get it from:"
- echo " ftp://ftp.gnome.org/pub/GNOME/"
- DIE=1
-}
-
-(glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`glib' installed."
- echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
- DIE=1
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`automake' (1.7 or later) installed."
- echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
- NO_AUTOMAKE=yes
-}
-
-
-# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: Missing \`aclocal'. The version of \`automake'"
- echo "installed doesn't appear recent enough."
- echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-if test -z "$*"; then
- echo "**Warning**: I am going to run \`configure' with no arguments."
- echo "If you wish to pass any to it, please specify them on the"
- echo \`$0\'" command line."
- echo
-fi
-
-echo "Processing configure.ac"
-
-echo "no" | glib-gettextize --force --copy
-intltoolize --copy --force --automake
-aclocal
-autoheader
-automake --add-missing --copy --gnu
-autoconf
-
-echo "Running $srcdir/configure $@ ..."
-$srcdir/configure "$@" && echo "Now type 'make' to compile." || exit 1
-
+XDT_AUTOGEN_REQUIRED_VERSION="4.7.2" exec xdt-autogen $@
diff --git a/configure.ac b/configure.ac.in
similarity index 100%
rename from configure.ac
rename to configure.ac.in
diff --git a/module.xml b/module.xml
deleted file mode 100644
index 26f58f0..0000000
--- a/module.xml
+++ /dev/null
@@ -1,20 +0,0 @@
-<?xml version='1.0' encoding='UTF-8'?>
-<Project xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
- xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
- xmlns:foaf="http://xmlns.com/foaf/0.1/"
- xmlns:gnome="http://api.gnome.org/doap-extensions#"
- xmlns="http://usefulinc.com/ns/doap#">
-
- <name xml:lang="en">gigolo</name>
- <shortdesc xml:lang="en">Gigolo eases managing connections to local and remote filesystems</shortdesc>
- <homepage rdf:resource="http://www.uvena.de/gigolo"/>
- <mailing-list rdf:resource="http://foo-projects.org/mailman/listinfo/xfce"/>
-
- <maintainer>
- <foaf:Person>
- <foaf:name>Enrico Tröger</foaf:name>
- <foaf:mbox>mailto:enrico at xfce.org</foaf:mbox>
- <gnome:userid>enrico</gnome:userid>
- </foaf:Person>
- </maintainer>
-</Project>
diff --git a/po/ChangeLog b/po/ChangeLog
deleted file mode 100644
index 5c0be08..0000000
--- a/po/ChangeLog
+++ /dev/null
@@ -1,212 +0,0 @@
-2009-08-08 Mike Massonnet <mmassonnet at xfce.org>
-
- * ast.po: Asturian translation added (Marcos Alvarez Costales)
- * gl.po: Galician translation update (Leandro Regueiro)
- * id.po: Indonesian translation update (Andhika Padmawan).
-
-2009-08-01 Piotr Sokół <piotr.sokol at 10g.pl>
-
- * pl.po: Polish translation update
-
-2009-07-24 Gabor Kelemen <kelemeng at gnome.hu>
-
- * hu.po: Translation updated.
-
-2009-06-18 Mike Massonnet <mmassonnet at xfce.org>
-
- * zh_CN.po: Simplified Chinese update (Hunt Xu)
-
-2009-06-15 Mike Massonnet <mmassonnet at xfce.org>
-
- * zh_CN.po: Simplified Chinese update (Jiahua Huang)
-
-2009-06-13 Masato Hashimoto <cabezon.hashimoto at gmail.com>
-
- * ja.po: Japanese translation update (Masato Hashimoto)
-
-2009-06-11 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * es.po: Spanish translation update (Elega)
-
-2009-06-07 Michal Várady <miko.vaji at gmail.com>
-
- * cs.po: Czech translation updated + terminology improved
-
-2009-06-04 Piarres Beobide <pi at beobide.net>
-
- * LINGUAS, eu.po: Basque translation added.
-
-2009-05-29 Mike Massonnet <mmassonnet at xfce.org>
-
- * ca.po: Catalan translation update (Harald Servat)
- * ur_PK.po: Urdu Pakistan translation update (Muhammad Ali Makki)
- * ur.po: Urdu translation update (Muhammad Ali Makki)
-
-2009-05-11 Mike Massonnet <mmassonnet at xfce.org>
-
- * zh_CN.po: Simplified Chinese translation update (Hunt Xu)
- * tr.po: Turkish translation update (Samed Beyribey)
-
-2009-04-27 Per Kongstad <pko at xfce.org>
-
- * da.po: Danish translation update (Per Kongstad)
-
-2009-04-26 Stavros Giannouris <stavrosg at hellug.gr>
-
- * el.po: Greek translation update ()
-
-2009-04-20 Mike Massonnet <mmassonnet at xfce.org>
-
- * gl.po: Galician translation update (Leandro Regueiro)
-
-2009-04-18 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * gigolo.pot, *.po: Message catalog updated
-
-2009-04-16 Masato Hashimoto <cabezon.hashimoto at gmail.com>
-
- * ja.po: Japanese translation update (Masato Hashimoto)
-
-2009-04-16 Mike Massonnet <mmassonnet at xfce.org>
-
- * gl.po: Galician translation update (Leandro Regueiro)
- * ca.po: Catalan translation update (Carles Muñoz Gorriz)
-
-2009-04-14 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * de.po: German translation update (Fabian Nowak)
-
-2009-04-14 Jérôme Guelfucci <jeromeg(at)xfce(dot)org>
-
- * fr.po: Fix a few typos and mistakes.
-
-2009-04-13 Mike Massonnet <mmassonnet at xfce.org>
-
- * tr.po: Turkish translation update (Samed Beyribey)
- * id.po: Add Indonesian translation (Andhika Padmawan)
-
-2009-04-08 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * cs.po: Czech translation update (Jan Hrdina)
-
-2009-04-06 Per Kongstad <pko at xfce.org>
-
- * da.po: Danish translation update (Per Kongstad)
-
-2009-04-06 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * fr.po: French translation update (Jérôme Guelfucci)
-
-2009-04-05 Maximilian Schleiss <maximilian at xfce.org>
-
- * tr.po: Turkish translation update (Samed Beyribey)
-
-2009-04-04 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * gigolo.pot, *.po: Message catalog updated
-
-2009-04-01 Per Kongstad <pko at xfce.org>
-
- * da.po: Danish translation update (Per Kongstad)
-
-2009-03-31 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * gigolo.pot, *.po: Message catalog updated
-
-2009-03-29 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * gl.po, LINGUAS: Galician translation added (Leandro Regueiro)
-
-2009-03-29 Masato Hashimoto <cabezon.hashimoto at gmail.com>
-
- * ja.po, LINGUAS: Japanese translation added (Masato Hashimoto)
-
-2009-03-20 Per Kongstad <pko at xfce.org>
-
- * da.po: Danish translation update (Per Kongstad)
-
-2009-03-20 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * cs.po, LINGUAS: Czech translation added (Jan Hrdina)
-
-2009-03-19 Alexander Toresson <eulex at xfce.org>
-
- * sv.po: Swedish translation update (Daniel Nylander)
-
-2009-03-03 Og Maciel <ogmaciel at gnome.org>
-
- * LINGUAS: Added pt_BR.
- * gigolo.pot: Updated.
- * pt_BR.po: Added Brazilian Portuguese translation by
- Filipe Rosset.
-
-2009-03-01 Stavros Giannouris <stavrosg at hellug.gr>
-
- * el.po: Greek translation update (Evaggelos Balaskas <ebalaskas at ebalaskas.gr>)
-
-2009-03-01 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * es.po, LINGUAS: Spanish translation added (Abel Martín)
-
-2009-02-22 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * gigolo.pot, *.po: Message catalog updated
-
-2009-02-20 Maximilian Schleiss <maximilian at xfce.org>
-
- * ca.po: Catalan translation udpate (Carles Muñoz Gorriz)
-
-2009-02-20 Stavros Giannouris <stavrosg at hellug.gr>
-
- * el.po, LINGUAS: Greek translation added
-
-2009-02-19 Per Kongtad <pko at xfce.org>
-
- * da.po, LINGUAS: Danish translation added (Per Kongstad)
-
-2009-02-19 Eren Türkay <erenturkay at xfce.org>
-
- * tr.po: Turkish translation added (Samed Beyribey)
-
-2009-02-15 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * it.po: Italian translation added (Muflone)
-
-2009-02-14 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * bg.po: Bulgarian translation added (Adrian Dimitrov)
-
-2009-02-09 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * gigolo.pot, *.po: Message catalog updated
- * de.po: German translation update
- * ca.po: Catalan translation update (Carles Muñoz Gorriz)
-
-2009-02-09 Alexander Toresson <eulex at xfce.org>
-
- * sv.po: Swedish translation update (Daniel Nylander)
-
-2009-02-07 Alexander Toresson <eulex at xfce.org>
-
- * sv.po: Swedish translation update (Daniel Nylander)
-
-2009-01-18 Maximilian Schleiss <maximilian at xfce.org>
-
- * ca.po: Catalan translation update (Carles Muñoz Gorriz)
-
-2009-01-13 Alexander Toresson <eulex at xfce.org>
-
- * sv.po, LINGUAS: Swedish translation added (Daniel Nylander)
-
-2009-01-04 Maximilian Schleiss <maximilian at xfce.org>
-
- * ca.po; LINGUAS: Catalan translation added (Carles Muñoz Gorriz)
-
-2009-01-02 Enrico Tröger <enrico(at)xfce(dot)org>
-
- * sion.pot, *.po: Message catalog updated
- * de.po: German translation update
-
-2008-12-13 Maximilian Schleiss <maximilian at xfce.org>
-
- * fr.po: LINGUAS: French translation added
More information about the Xfce4-commits
mailing list